<?php
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <?php
                 $peccular_service_page_icon_ = get_theme_mod('peccular_service_page_icon_'.$i);
                 ?> 
                <div class="<?php echo $colCls;?> pd-0">
                           <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                            <div class="boxshape1"></div>
                            <div class="boxshape2"></div>
                            <div class="service_icon_bx"><i class="<?php echo $peccular_service_page_icon_; ?>"></i></div>
                               
                                 <div class="peccular-service-image">
                                    <a href="<?php the_permalink(); ?>"> 
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/project3.png';
                                        }
                                        ?>   
                                        <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_services_post_image_height','379')) ?>px;" />
                                        <div class="imageOverlaynew"></div>
                                    </a>

                                    </div><!-- peccular-service-image -->
                                 <div class="clearfix"></div>
                                <div class="peccular-service-content">
                                    <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                    </h4>                  
                                    <div class="peccular-service-contenttext">
                                        <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_post_excerpt','25')) ) ); ?></p>
                                        <div class="clearfix"></div>
                                    </div>  
                                                <?php
                                          $peccular_service_button_text = get_theme_mod('peccular_service_button_text', 'READ MORE'); 
                                          $peccular_service_btnlink = get_theme_mod('peccular_service_btnlink', '#');
                                        ?> 
                                         <?php if( get_theme_mod('peccular_service_button_enable','show' ) == 'show') :
                        ?>  
                        <div class="peccular-service-btn">
                            
                          <a href="<?php echo $peccular_service_btnlink ?>" target="_blank">      
                            <?php echo ($peccular_service_button_text );  ?>                            
                          </a>
                        
                       </div>
                        <?php endif ?>               
                                </div>
                                
                                <div class="clearfix"></div>
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                 if ($isCustomizer === true) {
                    $service_area_designation = get_theme_mod('service_area_designation' . $i);
                } else {
                    $service_area_designation = '';
                }


                $post = get_post();

                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $service_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <!-- <//?php
                 $peccular_service_page_icon_ = get_theme_mod('peccular_service_page_icon_'.$i);
                 ?> -->
                <div class="<?php echo $colCls;?> pd-0">
                    <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">                                       
                        <div class="boxshape1"></div>
                            <div class="boxshape2"></div>
                            <!-- <div class="service_icon_bx"><i class="<?php echo $peccular_service_page_icon_; ?>"></i>
                            </div> -->
                        <div class="peccular-service-image">
                        <!-- <i class="fa fa-users" aria-hidden="true"></i> -->
                         <?php
                            if (has_post_thumbnail()) {
                            $image_url = $peccular_image[0];
                            } else {
                            $image_url = get_template_directory_uri() . '/images/project3.png';
                            }
                        ?> 
                         <?php
                        if(get_theme_mod('service_featured_img_on_off') != 'on' ){
                      ?>  
                      <a href="<?php the_permalink(); ?>">
                         <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_serviceinnerpage_post_image_height','379')) ?>px;" />
                         <div class="imageOverlaynew"></div>
                     </a>
                     <?php } ?>
                        </div> 
                        <div class="clearfix"></div>           
                         <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_services_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_services_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_services_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">      
                            <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                            </h4>
                                   <div class="clearfix"></div>
                             <div class="peccular-service-contenttext">
                            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_innpost_excerpt','25')) ) ); ?>
                                            
                            </p> 
                            </div>        
                                <?php
                                    $peccular_serviceinn_button_text = get_theme_mod('peccular_serviceinn_button_text', 'READ MORE'); 
                                ?>
                            <?php if( get_theme_mod('peccular_erviceinn_button_enable',true) == true){ ?>
                                <a href="<?php the_permalink(); ?>" class="service-view-btn"><?php echo ($peccular_serviceinn_button_text );  ?>
                                        
                                 </a>

                            <?php }?>
                             <div class="clearfix"></div>
                        </div> 
                         <div class="clearfix"></div> 
                                    
                                            

                            <div class="clearfix"></div>
                                                                
                                
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
