<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        ) 
    ); 
 
$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
   
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_about_image',
                'peccular_about_headImg_display',
                'peccular_about_section_lbl1',
                'peccular_about_areas_lbl2',
                'peccular_about_area_lbl',
                'peccular_about_section_title1',
                'peccular_about_section_spantitle1',
                'peccular_about_subtitle',
                'peccular_about_text',
                'peccular_about_section_listTitle',
                'peccular_about_pagelist2',
                'peccular_about_page_list',
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',                               
                'peccular_about_sheading_color',
                'peccular_about_sheadingspan_color',
                'peccular_about_sheadingbrdr1_color',
                'peccular_about_sdescription_color',
                'peccular_about_sdescriptionText_color',
                'peccular_about_listTitleClr_color',
                'peccular_about_titleIcnClr_color',
                'peccular_about_IcnBGCllr_color',
                'peccular_about_titleBrdrClr_color',
                'peccular_about_listTxtClr_color',
                'peccular_about_listicnclr_color',
                'peccular_about_rightimgBrdr_color',
                'peccular_about_rightimgHoverOverly_color',
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_section_t_padding',
                'peccular_about_section_b_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('About Us Image','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting('peccular_about_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_section_lbl1',
        array(
            'settings'      => 'peccular_about_section_lbl1', 
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Right Image size 460px x 460px  ', 'peccular Premium' ),
        )
    )
);
    // to show & hide Heading Image
$wp_customize->add_setting( 'peccular_about_headImg_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_headImg_display', array( 'label' => 'Heading Image Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_headImg_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) );  


$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'ABOUT', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_section_spantitle1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'US', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_spantitle1',
    array(
        'settings'      => 'peccular_about_section_spantitle1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Span Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr sed diam nonumy eirmod tempor ?', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Subtitle', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et just', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_text',
    array(
        'settings'      => 'peccular_about_text',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_section_listTitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'plant Care', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_listTitle',
    array(
        'settings'      => 'peccular_about_section_listTitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'List Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
            <li>Lawn Rennovation</li>
            <li>Landscape Lighting</li>
            <li>Flowerscaping</li> 
            <li>Natural Stone Walks</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist2',
    array(
        'settings'      => 'peccular_about_pagelist2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Left Side Bullet Points', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_about_page_list',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
            <li>Lawn Maintenanace</li> 
            <li>Seasonal Clean-ups</li>
            <li>Snow Plowing and Planting</li>
            <li>Tree And Shrub Care</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_page_list',
    array(
        'settings'      => 'peccular_about_page_list',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Right Side Bullet Points ', 'peccular-premium' )
    )
);

$wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));
    
    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

         $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));

    $wp_customize->add_setting('peccular_about_section_t_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

addColorPalatOption($wp_customize, 'peccular_about_sheading_color', 'peccular_about_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_sheadingspan_color', 'peccular_about_section', 'Heading Span Color', '');

addColorPalatOption($wp_customize, 'peccular_about_sheadingbrdr1_color', 'peccular_about_section', 'Section Span Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_sdescription_color', 'peccular_about_section', 'Section Subheading Color', '');

addColorPalatOption($wp_customize, 'peccular_about_sdescriptionText_color', 'peccular_about_section', 'Section Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listTitleClr_color', 'peccular_about_section', 'List Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_titleIcnClr_color', 'peccular_about_section', 'Title Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_IcnBGCllr_color', 'peccular_about_section', 'Title Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_titleBrdrClr_color', 'peccular_about_section', 'Title Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listTxtClr_color', 'peccular_about_section', 'List Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listicnclr_color', 'peccular_about_section', 'List Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightimgBrdr_color', 'peccular_about_section', 'Image Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_rightimgHoverOverly_color', 'peccular_about_section', 'Image Hover Overlay Color', '');
?>