<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

 
  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'ContactinnerHeaderLeaf_animation_display',
                'peccular_contactpage_address1',               
                'peccular_contact_page_phone_label',
                'peccular_contact_page_phone',             
                'peccular_contact_page_email_label',                
                'peccular_contact_page_email',                
                'peccular_contactpage_form_shortcode',     
                'contact_page_iframe_shortcode',           
                'peccular_contact_page_formtitle1',
                'peccular_contact_page_addresslabel',
                'peccular_contform_subtitle',
                'peccular_contact_image',
                'peccular_contform_maintitle'           


            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_rheading_color',
                'peccular_contactpage_rheadingtext_color',
                'peccular_contact_page_formtext_color',
                'peccular_contact_page_formtextplaceholder_color',
                'peccular_contact_page_formborder_color',
                'peccular_contactpage_formbtnbg_color1',
                'peccular_contactpage_formbtntext_color',
                'peccular_contact_page_formbtnbghov_color1',
                'peccular_contact_pagee_formbtntexthv_color',
                'peccular_contactpage_addlbl_color',
                'peccular_contactpage_addtext1_color',
                'peccular_contactpage_addtext1Icon_color',
                'peccular_contactpage_addtextrightBorder_color',
                'peccular_contactpage_topContactBxBg_color',
                'peccular_contactpage_topContactBxHoverBg_color',

            ),
         )
        ),
    )));
     $wp_customize->add_setting( 'ContactinnerHeaderLeaf_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'ContactinnerHeaderLeaf_animation_display', array( 'label' => 'Animation Display', 'section' => 'peccular_contact_pages', 'settings' => 'ContactinnerHeaderLeaf_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Animation', 'hide' => 'Hide Animation', ), ) );


$wp_customize->add_setting(
    'peccular_contact_page_email_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Mail Us', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email_label',
    array(
        'settings'      => 'peccular_contact_page_email_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_page_email',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'contact@example.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email',
    array(
        'settings'      => 'peccular_contact_page_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Text', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_addresslabel',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Office Address', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_addresslabel',
    array(
        'settings'      => 'peccular_contact_page_addresslabel',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address Label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Venor Company, West River.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address1',
    array(
        'settings'      => 'peccular_contactpage_address1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Now', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone_label',
    array(
        'settings'      => 'peccular_contact_page_phone_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Label', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_page_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+8888 22 723', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone',
    array(
        'settings'      => 'peccular_contact_page_phone',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Form', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintitle',
    array(
        'settings'      => 'peccular_contform_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Box Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contform_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_subtitle',
    array(
        'settings'      => 'peccular_contform_subtitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Contact Box Text', 'peccular' )
    )
);

$wp_customize->add_setting( 'peccular_contact_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_image', array(
        'label' => __('Contact Box Right Image','peccular'),
       'section' => 'peccular_contact_pages',
    )));

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
); 

$wp_customize->add_setting('contact_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('contact_page_iframe_shortcode', array('settings'=>'contact_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));

     $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

addColorPalatOption($wp_customize, 'peccular_contactpage_addlbl_color', 'peccular_contact_pages', 'Address/Phone/Mail Lable Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1_color', 'peccular_contact_pages', 'Address/Phone/Mail Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1Icon_color', 'peccular_contact_pages', 'Address/Phone/Mail Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_addtextrightBorder_color', 'peccular_contact_pages', 'Address/Phone/Mail Right Border Color', '');


addColorPalatOption($wp_customize, 'peccular_contactpage_topContactBxBg_color', 'peccular_contact_pages', 'Top Contact Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_topContactBxHoverBg_color', 'peccular_contact_pages', 'Top Contact Box Hover BG Color', '');


addColorPalatOption($wp_customize, 'peccular_contactpage_rheading_color', 'peccular_contact_pages', 'Right Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_rheadingtext_color', 'peccular_contact_pages', 'Right Description Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formtextplaceholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '');


addColorPalatOption($wp_customize, 'peccular_contact_page_formborder_color', 'peccular_contact_pages', 'Form Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');
?>