<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 
 
$wp_customize->add_setting('peccular_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
       'section' => 'peccular_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',
                'peccular_SliderContentBG_image',
                'slider_animation_display'
               
            ),
            'active' => true,
         ), 
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_slider_heading_color',
                'peccular_slider_headingspan_color',
                'peccular_slider_text_color', 
                'peccular_btn1hoverColor_lbl',
                'peccular_btn2hoverColor_lbl',
                'peccular_slider_buttontext_color1',                
                'peccular_slider_buttonbg_color1',
                'peccular_slider_buttonbgbrdr_color1',
                'peccular_slider_buttonbgbrdr_color2',
                'peccular_slider_buttontxthv_color1',
                'peccular_slider_buttonbghov_color1',
                'peccular_slider_buttonbghovbrdr_color1',
                'peccular_slider_buttontext_color2',
                'peccular_slider_buttonbg_color2',
                'peccular_slider_buttonhovtx_color2',
                'peccular_slider_buttonhovbg_color2',
                'peccular_slider_buttonhovbg_colorBorder2',
                'peccular_indicatorhoverColor_lbl',
                'peccular_slider_indicatortext_color',
                'peccular_slider_indicatortexthover_color',
                'peccular_slider_indicatorBG_color',
                'peccular_slider_indicatorBGHover_color'

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_slider_section_width',
                'peccular_slider_padding',
                'peccular_slider_section_t_padding',
                'peccular_slider_section_b_padding'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

 $wp_customize->add_setting( 'peccular_SliderContentBG_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_SliderContentBG_image', array(
        'label' => __('Content Background Image','peccular'),
       'section' => 'peccular_slider_section',
    )));

    $wp_customize->add_setting( 'slider_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'slider_animation_display', array( 'label' => 'Animation Display', 'section' => 'peccular_slider_section', 'settings' => 'slider_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Animation', 'hide' => 'Hide Animation', ), ) ); 


    $wp_customize->add_setting('peccular_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_slider_section',
    ));

addColorPalatOption($wp_customize, 'peccular_slider_heading_color', 'peccular_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_headingspan_color', 'peccular_slider_section', 'Heading Span Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_text_color', 'peccular_slider_section', 'Text Color', '');

addColorPalatOption($wp_customize, 'slidertitlerespnColor', 'peccular_slider_section', 'Responsive Heading Color', '');

addColorPalatOption($wp_customize, 'slidertextrespnColor', 'peccular_slider_section', 'Responsive Text Color', '');



$wp_customize->add_setting('peccular_btn1hoverColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_btn1hoverColor_lbl',
        array(
            'settings'      => 'peccular_btn1hoverColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Button 1 Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_buttontext_color1', 'peccular_slider_section', ' Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbg_color1', 'peccular_slider_section', ' Button BG Color', ''); 
addColorPalatOption($wp_customize, 'peccular_slider_buttonbgbrdr_color1', 'peccular_slider_section', ' Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttontxthv_color1', 'peccular_slider_section', ' Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbghov_color1', 'peccular_slider_section', ' Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbghovbrdr_color1', 'peccular_slider_section', ' Button Hover Border Color', '');

 
$wp_customize->add_setting('peccular_btn2hoverColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_btn2hoverColor_lbl',
        array(
            'settings'      => 'peccular_btn2hoverColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Button 2 Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_buttontext_color2', 'peccular_slider_section', 'Button Text color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbg_color2', 'peccular_slider_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbgbrdr_color2', 'peccular_slider_section', ' Button Border Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_buttonhovtx_color2', 'peccular_slider_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonhovbg_color2', 'peccular_slider_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonhovbg_colorBorder2', 'peccular_slider_section', 'Button Hover Border Color', '');


$wp_customize->add_setting('peccular_indicatorhoverColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_indicatorhoverColor_lbl',
        array(
            'settings'      => 'peccular_indicatorhoverColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Indicator Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_indicatortext_color', 'peccular_slider_section', 'Indicator Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_indicatortexthover_color', 'peccular_slider_section', 'Indicator Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_indicatorBG_color', 'peccular_slider_section', 'Indicator BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_indicatorBGHover_color', 'peccular_slider_section', 'Indicator Hover BG Color', '');
$wp_customize->add_setting('peccular_slider_padding',array(
      'sanitize_callback'   => ''
   ));
   $wp_customize->add_control('peccular_slider_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_slider_section'
   ));

    $wp_customize->add_setting('peccular_slider_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
    ));
 
    $wp_customize->add_setting('peccular_slider_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
    ));
 ?>